/*
 * ContinuousValueUnitTest.hpp
 *
 *  Created on: Sep 29, 2011
 *      Author: heber
 */
#ifndef CONTINUOUSVALUEUNITTEST_HPP_
#define CONTINUOUSVALUEUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include <cppunit/extensions/HelperMacros.h>

template<class T> struct range;

class ContinuousValueTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ContinuousValueTest ) ;
  CPPUNIT_TEST ( isValidValueTest );
  CPPUNIT_TEST ( isValidTest );
  CPPUNIT_TEST ( setgetValidRangeTest );
  CPPUNIT_TEST ( settergetterValueTest );
  CPPUNIT_TEST ( settergetterTest );
  CPPUNIT_TEST ( comparatorTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void isValidValueTest();
  void isValidTest();
  void setgetValidRangeTest();
  void settergetterValueTest();
  void settergetterTest();
  void comparatorTest();

private:
  range<int> *ValidRange;
};

#endif /* CONTINUOUSVALUEUNITTEST_HPP_ */
