/*
 * DiscreteParameterUnitTest.hpp
 *
 *  Created on: Sep 30, 2011
 *      Author: heber
 */
#ifndef DISCRETEPARAMETERUNITTEST_HPP_
#define DISCRETEPARAMETERUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cppunit/extensions/HelperMacros.h>

#include <vector>

class DiscreteParameterTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( DiscreteParameterTest ) ;
  CPPUNIT_TEST ( comparatorTest );
  CPPUNIT_TEST ( cloneTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void comparatorTest();
  void cloneTest();

private:
  std::vector<int> ValidValues;
};

#endif /* DISCRETEPARAMETERUNITTEST_HPP_ */
